Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlRoot

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlRoot

All Implemented Interfaces:
  idlObject, java.io.Serializable

public class IdlRoot
extends IdlObject

Cette classe represente la representation generique d'une donnee de l'IDL

Version:
  $Revision: 1.7 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_mainPrefix` The ID prefix

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlRoot()` Cree un objet IDL root

Method Summary
`java.lang.String` | `getId()` Retourne l'ID d'un objet
`java.lang.String[]` | `getIdComponents()` Return the components of the ID
`int` | `getPrefixDepth()` Return the prefix depth
`boolean` | `isDefined(java.lang.String name_, boolean scoped)` Indique si le symbole dont le nom est passe est deja defini
`java.util.Vector` | `nameToOtherSequence(java.lang.String name)` Returns a sequence of identifiers given a supplied name .
`IdlObject` | `returnObject(java.lang.String name_, boolean scoped)` Cette methode retourne l'objet demande en fonction de son nom.
`IdlObject` | `search(java.util.Vector seq, boolean scoped)` Recherche un symbole au moyen du chemin defini sous forme d'une sequence

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getPrefix, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnVisibleObject, root, sameAs, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _mainPrefix

    public static java.lang.String _mainPrefix

  The ID prefix

Constructor Detail

### IdlRoot

    public IdlRoot()

  Cree un objet IDL root

Method Detail

### getPrefixDepth

    public int getPrefixDepth()

  Return the prefix depth
  Overrides:
    `getPrefixDepth` in class `IdlObject`

### getIdComponents

    public java.lang.String[] getIdComponents()

  Return the components of the ID
  Overrides:
    `getIdComponents` in class `IdlObject`

### getId

    public java.lang.String getId()

  Retourne l'ID d'un objet
  Overrides:
    `getId` in class `IdlObject`

### nameToOtherSequence

    public java.util.Vector nameToOtherSequence(java.lang.String name)

  Returns a sequence of identifiers given a supplied name . The supplied name (in the form value.value.value) is reutnred as a vector of Strings corresponding to the the value elements of the name.
  Parameters:
    `name` - a String
  Returns:
    `Vector` of matching identifiers.

### search

    public IdlObject search(java.util.Vector seq,
                            boolean scoped)

  Recherche un symbole au moyen du chemin defini sous forme d'une sequence
  Overrides:
    `search` in class `IdlObject`
  Parameters:
    `la` - sequence de noms
  Returns:
    l'objet trouve

### isDefined

    public boolean isDefined(java.lang.String name_,
                             boolean scoped)

  Indique si le symbole dont le nom est passe est deja defini
  Overrides:
    `isDefined` in class `IdlObject`
  Parameters:
    `name` - le nom du symbole
    `scoped` - flag qui indique si la recherche se limite a ce niveau
  Returns:
    VRAI si le symbole est deja defini

### returnObject

    public IdlObject returnObject(java.lang.String name_,
                                  boolean scoped)

  Cette methode retourne l'objet demande en fonction de son nom.
  Overrides:
    `returnObject` in class `IdlObject`
  Parameters:
    `name` - le nom de l'objet a retourner
    `scoped` - mettre a vrai si l'on restraint la recherche au scope de l'objet
  Returns:
    l'objet demande

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD